Package org.eclipse.m2m.atl.emftvm

## Interface CodeBlockInstruction

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `And`, `Getcb`, `Implies`, `InvokeCb`, `Or`

All Known Implementing Classes:
  `AndImpl`, `CodeBlockInstructionImpl`, `GetcbImpl`, `ImpliesImpl`, `InvokeCbImpl`, `OrImpl`

    public interface CodeBlockInstruction
    extends Instruction

A representation of the model object 'Code Block Instruction'.

See Also:
  `EmftvmPackage.getCodeBlockInstruction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getCbIndex()` Returns the value of the 'Cb Index' attribute.
`CodeBlock` `getCodeBlock()` Returns the value of the 'Code Block' reference.
`void` `setCbIndex​(int value)` Sets the value of the '`Cb Index`' attribute.
`void` `setCodeBlock​(CodeBlock value)` Sets the value of the '`Code Block`' reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getCodeBlock

    CodeBlock getCodeBlock()

Returns the value of the 'Code Block' reference.

Represents the '`Nested`' `CodeBlock` to which this instruction refers.

Returns:
  the value of the 'Code Block' reference.
See Also:
  `setCodeBlock(CodeBlock)`, `EmftvmPackage.getCodeBlockInstruction_CodeBlock()`

#### setCodeBlock

    void setCodeBlock​(CodeBlock value)

Sets the value of the '`Code Block`' reference.

Represents the '`Nested`' `CodeBlock` to which this instruction refers.

Parameters:
  `value` - the new value of the 'Code Block' reference.
See Also:
  `getCodeBlock()`

#### getCbIndex

    int getCbIndex()

Returns the value of the 'Cb Index' attribute. The default value is `"-1"`.

Represents the index of the '`Nested`' `CodeBlock` in the parent code block's list of nested code blocks.

Returns:
  the value of the 'Cb Index' attribute.
See Also:
  `setCbIndex(int)`, `EmftvmPackage.getCodeBlockInstruction_CbIndex()`

#### setCbIndex

    void setCbIndex​(int value)

Sets the value of the '`Cb Index`' attribute.

Represents the index of the '`Nested`' `CodeBlock` in the parent code block's list of nested code blocks.

Parameters:
  `value` - the new value of the 'Cb Index' attribute.
See Also:
  `getCbIndex()`